-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "LM_FlipLayerH"

-- **************************************************
-- General information about this script
-- **************************************************

LM_FlipLayerH = {}

function LM_FlipLayerH:Name()
	return "Flip Layer Horizontally"
end

function LM_FlipLayerH:Version()
	return "5.0"
end

function LM_FlipLayerH:Description()
	return "Flip the current layer horizontally"
end

function LM_FlipLayerH:Creator()
	return "Lost Marble"
end

function LM_FlipLayerH:UILabel()
	return("Flip Horizontally")
end

-- **************************************************
-- The guts of this script
-- **************************************************

function LM_FlipLayerH:Run(moho)
	moho.document:PrepUndo(moho.layer)
	moho.document:SetDirty()

	moho.layer.fFlipH:SetValue(moho.frame, not moho.layer.fFlipH.value)
	moho:NewKeyframe(CHANNEL_LAYER_FLIP_H)
end
