-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "LM_FlipLayerV"

-- **************************************************
-- General information about this script
-- **************************************************

LM_FlipLayerV = {}

function LM_FlipLayerV:Name()
	return "Flip Layer Vertically"
end

function LM_FlipLayerV:Version()
	return "5.0"
end

function LM_FlipLayerV:Description()
	return "Flip the current layer vertically"
end

function LM_FlipLayerV:Creator()
	return "Lost Marble"
end

function LM_FlipLayerV:UILabel()
	return("Flip Vertically")
end

-- **************************************************
-- The guts of this script
-- **************************************************

function LM_FlipLayerV:Run(moho)
	moho.document:PrepUndo(moho.layer)
	moho.document:SetDirty()

	moho.layer.fFlipV:SetValue(moho.frame, not moho.layer.fFlipV.value)
	moho:NewKeyframe(CHANNEL_LAYER_FLIP_V)
end
