-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "LM_Globals"

-- **************************************************
-- General information about this script
-- **************************************************

LM_Globals = {}

function LM_Globals:Name()
	return "Print Globals"
end

function LM_Globals:Version()
	return "5.0"
end

function LM_Globals:Description()
	return "Print global variables in the Lua interpreter"
end

function LM_Globals:Creator()
	return "Lost Marble"
end

function LM_Globals:UILabel()
	return("Print Globals")
end

-- **************************************************
-- The guts of this script
-- **************************************************

function LM_Globals:Run(moho)
	print("Global variables:")
	self:PrintTableValues(_G)
end

function LM_Globals:PrintTableValues(t)
	for n, v in t do
		print("", n, v, type(v))
	end
end
