-- **************************************************
-- Provide Moho with the name of this script object
-- **************************************************

ScriptName = "LM_OrbitW"

-- **************************************************
-- General information about this script
-- **************************************************

LM_OrbitW = {}

function LM_OrbitW:Name()
	return "Orbit Workspace"
end

function LM_OrbitW:Version()
	return "5.0"
end

function LM_OrbitW:Description()
	return "Orbit workspace (hold <alt> to move in and out)"
end

function LM_OrbitW:Creator()
	return "Lost Marble"
end

function LM_OrbitW:UILabel()
	return("Orbit")
end

-- **************************************************
-- The guts of this script
-- **************************************************

function LM_OrbitW:OnMouseDown(moho, mouseEvent)
	mouseEvent.view:OrbitDown(mouseEvent.pt)
end

function LM_OrbitW:OnMouseMoved(moho, mouseEvent)
	mouseEvent.view:OrbitMoved(mouseEvent.pt)
end

function LM_OrbitW:OnMouseUp(moho, mouseEvent)
	mouseEvent.view:OrbitUp(mouseEvent.pt)
end

-- **************************************************
-- Tool options - create and respond to tool's UI
-- **************************************************

LM_OrbitW.RESET = MOHO.MSG_BASE

function LM_OrbitW:DoLayout(moho, layout)
	layout:AddChild(LM.GUI.Button("Reset View", self.RESET))
end

function LM_OrbitW:HandleMessage(moho, view, msg)
	if (msg == self.RESET) then
		view:ResetView()
	end
end
